import java.awt.Color;
import java.awt.Shape;

/**
 * TODO Put here a description of what this class does.
 * 
 * @author hollanbm. Created Apr 14, 2008.
 */
public class ShapeWithStyle
{
	@SuppressWarnings("unused")
	private Shape Shape = null;

	@SuppressWarnings("unused")
	private Color Color = null;

	@SuppressWarnings("unused")
	private boolean fill = false;

	@SuppressWarnings("unused")
	private int width = 1;

	/**
	 * TODO Put here a description of what this constructor does.
	 * 
	 * @param s
	 *            shape
	 * @param c
	 *            color
	 * @param fill
	 *            whether or not shapes should be filled
	 * @param width
	 *            width
	 */
	public ShapeWithStyle(final Shape s, final Color c, final boolean fill, final int width)
	{
		this.Shape = s;
		this.Color = c;
		this.fill = fill;
		this.width = width;
	}

	/**
	 * Returns the value of the field called 'color'.
	 * 
	 * @return Returns the color.
	 */
	public Color getColor()
	{
		return this.Color;
	}

	/**
	 * Sets the field called 'color' to the given value.
	 * 
	 * @param color
	 *            The color to set.
	 */
	public void setColor(final Color color)
	{
		this.Color = color;
	}

	/**
	 * Returns the value of the field called 'shape'.
	 * 
	 * @return Returns the shape.
	 */
	public Shape getShape()
	{
		return this.Shape;
	}

	/**
	 * Sets the field called 'shape' to the given value.
	 * 
	 * @param shape
	 *            The shape to set.
	 */
	public void setShape(final Shape shape)
	{
		this.Shape = shape;
	}

	/**
	 * Returns the value of the field called 'fill'.
	 * 
	 * @return Returns the fill.
	 */
	public boolean getFill()
	{
		return this.fill;
	}

	/**
	 * Sets the field called 'fill' to the given value.
	 * 
	 * @param fill
	 *            The fill to set.
	 */
	public void setFill(final boolean fill)
	{
		this.fill = fill;
	}

	/**
	 * Returns the value of the field called 'width'.
	 * 
	 * @return Returns the width.
	 */
	public int getWidth()
	{
		return this.width;
	}

	/**
	 * Sets the field called 'width' to the given value.
	 * 
	 * @param width
	 *            The width to set.
	 */
	public void setWidth(final int width)
	{
		this.width = width;
	}

}
